/***************************************************************************
 *   Copyright (C) 2005 by Sebastian Beck                                  *
 *   sebastian.bw@freenet.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
 
#ifndef FRAGE_H
#define FRAGE_H

#include <qvariant.h>
#include <qwidget.h>

#include "historyintinput.h"

class QGridLayout;
class QLabel;
class QGroupBox;
class QFrame;
class QPushButton;
class QTextEdit;
class HistoryIntInput;

class Frage : public QWidget
	{
	Q_OBJECT

public:
	Frage( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
	~Frage();

	QGroupBox* frage_group;
	QPushButton *einfuegen, *einfuegen1;
	QLabel *tl1, *tl_num, *tl_frage,*tl_ziel;
	QTextEdit *frage;
	QFrame *line1, *frame1;
	HistoryIntInput *num,*num1;

protected:
	QGridLayout* FrageLayout, *frage_groupLayout, *frame1Layout;

protected slots:
	virtual void languageChange();

	};

#endif // FRAGE_H
